package com.ruoyi.project.training.bccnew.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.training.bccnew.mapper.TTsLjplanMapper;
import com.ruoyi.project.training.bccnew.domain.TTsLjplan;
import com.ruoyi.project.training.bccnew.service.ITTsLjplanService;

/**
 * 裂解培训Service业务层处理
 *
 * @author ssy
 * @date 2024-06-13
 */
@Service
public class TTsLjplanServiceImpl implements ITTsLjplanService
{
    @Autowired
    private TTsLjplanMapper tTsLjplanMapper;

    /**
     * 查询裂解培训
     *
     * @param id 裂解培训ID
     * @return 裂解培训
     */
    @Override
    public TTsLjplan selectTTsLjplanById(Long id)
    {
        return tTsLjplanMapper.selectTTsLjplanById(id);
    }

    /**
     * 查询裂解培训列表
     *
     * @param tTsLjplan 裂解培训
     * @return 裂解培训
     */
    @Override
    public List<TTsLjplan> selectTTsLjplanList(TTsLjplan tTsLjplan)
    {
        return tTsLjplanMapper.selectTTsLjplanList(tTsLjplan);
    }
    @Override
    public List<TTsLjplan> selectTTsLjplanListByNewId(TTsLjplan tTsLjplan)
    {
        return tTsLjplanMapper.selectTTsLjplanListByNewId(tTsLjplan);
    }

    /**
     * 新增裂解培训
     *
     * @param tTsLjplan 裂解培训
     * @return 结果
     */
    @Override
    public int insertTTsLjplan(TTsLjplan tTsLjplan)
    {
        return tTsLjplanMapper.insertTTsLjplan(tTsLjplan);
    }

    /**
     * 修改裂解培训
     *
     * @param tTsLjplan 裂解培训
     * @return 结果
     */
    @Override
    public int updateTTsLjplan(TTsLjplan tTsLjplan)
    {
        return tTsLjplanMapper.updateTTsLjplan(tTsLjplan);
    }

    /**
     * 批量删除裂解培训
     *
     * @param ids 需要删除的裂解培训ID
     * @return 结果
     */
    @Override
    public int deleteTTsLjplanByIds(Long[] ids)
    {
        return tTsLjplanMapper.deleteTTsLjplanByIds(ids);
    }

    /**
     * 删除裂解培训信息
     *
     * @param id 裂解培训ID
     * @return 结果
     */
    @Override
    public int deleteTTsLjplanById(Long id)
    {
        return tTsLjplanMapper.deleteTTsLjplanById(id);
    }
}
